View Issue Details

IDProjectCategoryView StatusLast Update
0026858Runner3DPublic2018-10-25 15:16
ReporterKevin BrownAssigned ToAlan Savage 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformWindowsOSOS Version
Product VersionPre-2.1.3 
Target Version2.2.1Fixed in Version2.2.1 
Summary0026858: 3D: d3d_draw_[shape]() does not draw as expected when a 1.4 project is imported
DescriptionIn the attached .gmz, the user calls the following code in the draw event (shown in GMS1.png)

d3d_draw_block(-64,-64,-64,64,64,64,texture,1,1)//Simple cube
d3d_draw_ellipsoid(-192,-64,-64,-64,64,64,texture,1,1,32)//Sphere
d3d_draw_cone(64,-64,-64,192,64,64,texture,1,1,1,16)//Cone

If the .gmz is then imported into GameMaker Studio 2, the result is that all aspects of the objects have been flipped (shown in GMS2.png)
Steps To ReproduceOpen the attached .gmz in GameMaker: Studio
Run the project
Notice that the window matches what is shown in GMS1.png
Import the attached .gmz into GameMaker Studio 2
Run the project
Notice that the window matches what is shown in GMS2.png but should looks the same as the result of running the project in GameMaker: Studio
Tagsrendering, Runner
1.4 Found In1.4.1763
2.x Runtime Found In2.0.6.96
2.x Runtime Verified In2.2.1.268

Activities

Kevin Brown

2017-06-16 10:29

Manager  

Tutorial_7_1_Flood.gmz (909,807 bytes)
GMS1.png (15,607 bytes)
GMS1.png (15,607 bytes)
GMS2.png (26,145 bytes)
GMS2.png (26,145 bytes)

Alan Savage

2018-10-11 17:09

Developer   ~0061748

Last edited: 2018-10-11 17:12

View 2 revisions

Draws the same in GMS1 if d3d_start is called, which sets perspective projection; GMS2 uses perspective projection regardless- fixed to use default orthographic projection when d3d_start has not been called
fix applied in compatibility scripts so project will need re-imported